=== debian/changelog ===
node-jsonselect (0.4.0+dfsg3-3) unstable; urgency=medium

  * Team upload
  * Fix GitHub tags regex
  * Update standards version to 4.6.0, no changes needed.
  * Fix filenamemangle

 -- Yadd <yadd@debian.org>  Tue, 09 Nov 2021 11:57:17 +0100

node-jsonselect (0.4.0+dfsg3-2) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update Vcs-* headers to use salsa repository.
  * Apply multi-arch hints.
    + node-jsonselect: Add Multi-Arch: foreign.

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.1
  * Add "Rules-Requires-Root: no"
  * Change section to javascript
  * Add debian/gbp.conf
  * Modernize debian/watch
  * Replace deprecated no-uglify by uglifyjs (Closes: #979920)
  * Use dh-sequence-nodejs auto install

 -- Xavier Guimard <yadd@debian.org>  Tue, 12 Jan 2021 20:45:18 +0100

node-jsonselect (0.4.0+dfsg3-1) unstable; urgency=low

  * Initial release (Closes: #840773)

 -- Pirate Praveen <praveen@debian.org>  Fri, 14 Oct 2016 21:51:28 +0530
